#!/bin/sh

if [ -f $1 ]; then
	echo md5sum generate and check
	md5sum $1 > $1.md5.txt
	md5sum -c $1.md5.txt
	md5sum $1-pcba > $1-pcba.md5.txt
	md5sum -c $1-pcba.md5.txt
	if [ -f gen-image-tar ]; then
		echo run gen-image-tar
		./gen-image-tar -t bios -m loongson-ast2500 -v 1.6.$2 $1 
	fi
  sleep 2
  if [ -f obmc-bios.tar.gz ]; then
    md5sum obmc-bios.tar.gz > obmc-bios.tar.gz.md5.txt
    md5sum -c obmc-bios.tar.gz.md5.txt
  fi
	tar -czvf ../$1.tgz *
fi
